io.agora.rtc

## Enum Constants.AecModelType

- java.lang.Object
- - java.lang.Enum<Constants.AecModelType>
  - - io.agora.rtc.Constants.AecModelType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AecModelType>
  Enclosing class:
    Constants

      public static enum Constants.AecModelType
      extends java.lang.Enum<Constants.AecModelType>

  The AEC Model Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LLAIAEC` kLLAIAEC: low-latency AIAEC algorithm.
    `STDAIAEC` kSTDAIAEC: standard-latency AIAEC algorithm.
    `TRAEC` kTRAEC: (Default) traditional AEC model.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the AEC model type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AecModelType` | `fromInt(int value)` Converts an integer value to its corresponding AecModelType enum constant.
    `int` | `getValue()` Gets the integer value of the AecModelType.
    `static Constants.AecModelType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AecModelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRAEC

          public static final Constants.AecModelType TRAEC

      kTRAEC: (Default) traditional AEC model.

    - #### LLAIAEC

          public static final Constants.AecModelType LLAIAEC

      kLLAIAEC: low-latency AIAEC algorithm.

    - #### STDAIAEC

          public static final Constants.AecModelType STDAIAEC

      kSTDAIAEC: standard-latency AIAEC algorithm.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the AEC model type

  - ### Method Detail

    - #### values

          public static Constants.AecModelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AecModelType c : Constants.AecModelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AecModelType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the AecModelType.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AecModelType fromInt(int value)

      Converts an integer value to its corresponding AecModelType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AecModelType, or null if the value is not found.